MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject System.IDisposable MonoMac.Foundation.Register("NSObject", true) Base class for all bound objects that map to Objective-C objects. This is the base class that is used to bind Objective-C classes to C# classes. Merely subclassing from NSObject will produce a class that can be passed to Objective-C.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("addObserver:forKeyPath:options:context:")
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("automaticallyNotifiesObserversForKey:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("awakeFromNib")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  System.Void `` The code to invoke on the main thread. Invokes asynchrously the specified code on the main UI thread.

  You use this method from a thread to invoke the code encapsulated by the NSAction delegate in the UI thread. This is required for most operations that affect UIKit or AppKit as neither one of those APIs is thread safe.

  The code is executed when the main thread goes back to its main loop for processing events.

  Unlike this method merely queues the invocation and returns immediately to the caller.

  `// Invoked in response to a button clicked on the UI. void StartDownload () { status.Text = "Downloading file..."; ThreadPool.QueueUserWorkItem (BackgroundDownload); } // This is the background helper BackgroundDownload () { var wc = new WebClient (); wc.DownloadFile (myUrl, "/tmp/largeFile.txt"); // When the download is complete, notify the UI BeginInvokeOnMainThread (delegate { status.Text = "Download has been completed"; }); }`
- Method
  0.0.0.0
  System.Void `` `` Selector to invoke Object in which the selector is invoked Invokes asynchrously the specified code on the main UI thread.

  You use this method from a thread to invoke the code in the specified object that is exposed with the specified selector in the UI thread. This is required for most operations that affect UIKit or AppKit as neither one of those APIs is thread safe.

  The code is executed when the main thread goes back to its main loop for processing events.

  Unlike this method merely queues the invocation and returns immediately to the caller.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("bind:toObject:withKeyPath:options:")
  System.Void `` `` `` `` To be added. To be added. To be added.

  Options for the binding.

  This parameter can be .

  To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("infoForBinding:")
  MonoMac.Foundation.NSDictionary `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("optionDescriptionsForBinding:")
  MonoMac.Foundation.NSObject[] `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("valueClassForBinding:")
  MonoMac.ObjCRuntime.Class `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSKeyValueChangeIndexesKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSKeyValueChangeKindKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSKeyValueChangeNewKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSKeyValueChangeNotificationIsPriorKey NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification.

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver (NSObject.ChangeNotificationIsPriorKey, (notification) => Console.WriteLine ("Received the notification NSObject", notification); // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification NSObject", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (NSObject.ChangeNotificationIsPriorKey, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSKeyValueChangeOldKey To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("commitEditing")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("commitEditingWithDelegate:didCommitSelector:contextInfo:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("conformsToProtocol:")
  MonoMac.Foundation.Preserve
  System.Boolean `` Pointer to a protocol. Invoked to determine if this object implements the specified protocol. Must return true if the class implements the protocol.

  You can override this method if you need your class to respond to Objective-C's query to the object as to whether it implements the specified protocol.

  You can compare the IntPtr value with the result of creating an AdoptsAttribute with the specified protocol and fetching its ProtocolHandle.

  `static AdoptsAttribute myProtocol = new AdoptsAttribute ("MyProtocol"); public override ConformsToProtocol (IntPtr protocol) { if (protocol == myProtocol.ProtocolHandle) return true; return false; }`

  Although typically you would merely decorare your class with the and let the runtime do this for you, like this:

  `[Adopts ("UITextInput")] [Register ("MyCoreView")] public class EditableCoreTextView : UIView { [Export ("inputDelegate")] public UITextInputDelegate InputDelegate {...} }`

  For a complete sample of the AdoptsAttribute see the SimpleTextInput sample

- Method
  0.0.0.0
  MonoMac.Foundation.Export("copy")
  MonoMac.Foundation.NSObject To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("debugDescription")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("description")
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("didChange:valuesAtIndexes:forKey:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("didChangeValueForKey:withSetMutation:usingObjects:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("didChangeValueForKey:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the NSObject object.

  The Dispose method releases the resources used by the NSObject class.

  Calling the Dispose method when you are finished using the NSObject ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the NSObject object.

  This Dispose method releases the resources used by the NSObject class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the NSObject ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  MonoMac.Foundation.Export("doesNotRecognizeSelector:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("encodeWithCoder:")
  System.Void `` The unarchiver object. A constructor that initializes the object from the data stored in the unarchiver object. This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Method
  0.0.0.0
  MonoMac.Foundation.Export("exposedBindings")
  MonoMac.Foundation.NSString[] To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Finalizer for the NSObject object
- Method
  0.0.0.0
  MonoMac.Foundation.NSObject `` A ECMA CLI object. Boxes an object into an NSObject. Boxed object or null if the type can not be boxed.

  This method can box the following types from a core runtime type to an NSObject type by boxing the values.

  bool, char, sbyte, byte, short, ushort, int, int32, long, long64, float and double are boxed as NSNumbers.

  IntPtr are boxed as NSValue containing a pointer.

  System.Drawing.SizeF, System.Drawing.RectangleF, System.Drawing.PointF, MonoMac.CoreGraphics.CGAffineTransform, MonoMac.UIKit.UIEdgeInsets and MonoMac.CoreAnimation.CATransform3D are boxed as an NSValue containing the corresponding type.

  NSObjects and subclasses are returned as-is.

  The null value is returned as an NSNull.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("defaultPlaceholderForMarker:withBinding:")
  MonoMac.Foundation.NSObject `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("dictionaryWithValuesForKeys:")
  MonoMac.Foundation.NSDictionary `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("keyPathsForValuesAffectingValueForKey:")
  MonoMac.Foundation.NSSet `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.
- Method
  0.0.0.0
  System.Void `` The code to invoke on the main thread. Invokes synchronously the specified code on the main UI thread.

  You use this method from a thread to invoke the code encapsulated by the NSAction delegate in the UI thread. This is required for most operations that affect UIKit or AppKit as neither one of those APIs is thread safe.

  The code is executed when the main thread goes back to its main loop for processing events.

  Unlike this method waits for the main thread to execute the method, and does not return until the code pointed by action has completed running.

- Method
  0.0.0.0
  System.Void `` `` Selector to invoke Object in which the selector is invoked Invokes synchrously the specified code on the main UI thread.

  You use this method from a thread to invoke the code in the specified object that is exposed with the specified selector in the UI thread. This is required for most operations that affect UIKit or AppKit as neither one of those APIs is thread safe.

  The code is executed when the main thread goes back to its main loop for processing events.

  Unlike this method waits for the main thread to execute the method, and does not return until the code pointed by action has completed.

- Field
  0.0.0.0
  System.Boolean Determines whether this class is a direct binding to an Objective-C class, or if this is a subclass of a direct binding. This property is central to the way that MonoMac exposes virtual methods to C# programmers. This property is used internally by the binding engine to determine whether a class is actually a direct binding to an Objective-C class (for example NSMutableDictionary) or whether the user has subclassed the object (MyNSMutableDictionary). The binding system uses this to dispatch method invocations either to the base class, or the current class.
- Field
  0.0.0.0
  System.Reflection.Assembly Points to the montoouch assembly. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("mutableCopy")
  MonoMac.Foundation.NSObject To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("objectDidEndEditing:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("observeValueForKeyPath:ofObject:change:context:")
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("performSelector:withObject:afterDelay:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeObserver:forKeyPath:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("respondsToSelector:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setDefaultPlaceholder:forMarker:withBinding:")
  MonoMac.Foundation.NSObject `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setNilValueForKey:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setValue:forKey:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setValue:forKeyPath:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` Pointer (handle) to the unmanaged object. To be added. A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("setValue:forUndefinedKey:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setValuesForKeysWithDictionary:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String Returns a string representation of the value of the current instance.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("unbind:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("valueForKey:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("valueForKeyPath:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("valueForUndefinedKey:")
  MonoMac.Foundation.NSObject `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("willChange:valuesAtIndexes:forKey:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("willChangeValueForKey:withSetMutation:usingObjects:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("willChangeValueForKey:")
  System.Void `` To be added. To be added. To be added.